.amenities-toggle-input {
    display: none;
}

.amenities-toggle-input:not(:checked) ~ .amenity-item--hidden {
    display: none;
}

.amenities-toggle-input:checked ~ .amenity-item--hidden {
    display: flex;
}

.amenities-toggle-label {
    grid-column: 1 / -1;
    cursor: pointer;
}

.amenities-toggle-input:checked ~ .amenities-toggle-label .amenities-toggle-more {
    display: none;
}

.amenities-toggle-input:not(:checked) ~ .amenities-toggle-label .amenities-toggle-less {
    display: none;
}